#if !defined(APP_CAMERA_H)
/* ========================================================================
   $RCSfile: app_camera.h,v $
   $Date: 2001/12/16 04:09:04 $
   $Revision: 1.2 $
   $Creator: Casey Muratori $
   $Notice: $
   ======================================================================== */

#if !defined(GLOBALS_H)
#include "globals.h"
#endif

#if !defined(CAMERA_H)
#include "camera.h"
#endif

inline real32 const *CameraHorizontal(void)
    {return(GlobalCamera->InverseView4x4[0]);}
inline real32 const *CameraVertical(void)
    {return(GlobalCamera->InverseView4x4[1]);}
inline real32 const *CameraBackward(void)
    {return(GlobalCamera->InverseView4x4[2]);}

#define APP_CAMERA_H
#endif
