/* ========================================================================
   $RCSfile: memory_utils.cpp,v $
   $Date: 2001/12/15 21:02:08 $
   $Revision: 1.2 $
   $Creator: Casey Muratori $
   $Notice: $
   ======================================================================== */

#include <string.h>

#if !defined(MEMORY_UTILS_H)
#include "memory_utils.h"
#endif

void
CopyStrided(int32 RowLength, int32 RowCount,
            int32 SourceStride, void const *SourceInit,
            int32 DestStride, void *DestInit)
{
    uint8 const *Source = (uint8 const *)SourceInit;
    uint8 *Dest = (uint8 *)DestInit;
    
    while(RowCount--)
    {
        memcpy(Dest, Source, RowLength);
        Source += SourceStride;
        Dest += DestStride;
    }
}
